Bug 427894 - Application name overlaps "Show more" button when collapsing notifications
Summary: Application name overlaps "Show more" button when collapsing notifications
Status: REOPENED
Alias: None
Product: plasmashell
Classification: Plasma
Component: Notifications (show other bugs)
Version: 5.20.0
Platform: OpenSUSE Linux
: HI normal
Target Milestone: 1.0
Assignee: Plasma Bugs List
URL:
Keywords:
: 415819 434633 441618 443338 444207 445717 448506 462484 (view as bug list)
Depends on:
Blocks:
 
Reported: 2020-10-17 19:54 UTC by Nikhil Prabhu
Modified: 2022-12-01 21:13 UTC (History)
19 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.24


Attachments
Preview of bug (43.32 KB, image/png)
2020-10-17 19:54 UTC, Nikhil Prabhu
Details
Same bug in Plasma 5.24.1 (52.85 KB, image/png)
2022-02-19 18:47 UTC, Nikhil Prabhu
Details
screenshot taken on Plasma 5.25.2 (38.15 KB, image/png)
2022-07-07 14:58 UTC, Patrick Silva
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nikhil Prabhu 2020-10-17 19:54:07 UTC
Created attachment 132503 [details]
Preview of bug

SUMMARY

In the notifications plasmoid, when a group of notifications are being collapsed and the "Show N more" button shows up, the button overlaps with the name of the application whose notifications are below these collapsed notifications (seen in attachment).

STEPS TO REPRODUCE
1. Wait for a bunch of notifications from a particular application.
2. Open the notifications plasmoid and close it.
3. Open the notifications plasmoid again.

OBSERVED RESULT
The group of notifications will collapse and the "Show more" button will overlap with the application name of the notifications below the collapsed notifications. (Currently on Plasma 5.20.0, but also noticed this with Plasma 5.19.5)

EXPECTED RESULT
The "Show more" button shouldn't overlap with the application name.

SOFTWARE/OS VERSIONS
Operating System: openSUSE Tumbleweed 20201014
KDE Plasma Version: 5.20.0
KDE Frameworks Version: 5.75.0
Qt Version: 5.15.1
Kernel Version: 5.8.14-1-default
OS Type: 64-bit
Processors: 8 × AMD Ryzen 5 3400G with Radeon Vega Graphics
Memory: 13.6 GiB of RAM
Graphics Processor: AMD RAVEN

ADDITIONAL INFORMATION
Comment 1 Nate Graham 2021-03-21 00:58:01 UTC
*** Bug 434633 has been marked as a duplicate of this bug. ***
Comment 2 Nate Graham 2021-08-28 02:38:49 UTC
*** Bug 441618 has been marked as a duplicate of this bug. ***
Comment 3 Nate Graham 2021-10-05 17:43:45 UTC
*** Bug 443338 has been marked as a duplicate of this bug. ***
Comment 4 Nate Graham 2021-10-15 13:24:12 UTC
This appears to have been fixed by Carl Schwan with the port to ScrollView (https://invent.kde.org/plasma/plasma-workspace/-/commit/5169dff83384cf255ecfbd600036b80763f0885e) in Plasma 5.24!
Comment 5 postix 2021-10-16 10:54:50 UTC
*** Bug 415819 has been marked as a duplicate of this bug. ***
Comment 6 Patrick Silva 2021-10-22 00:18:10 UTC
*** Bug 444207 has been marked as a duplicate of this bug. ***
Comment 7 Nate Graham 2021-11-23 22:53:48 UTC
*** Bug 445717 has been marked as a duplicate of this bug. ***
Comment 8 Patrick Silva 2022-01-16 03:39:43 UTC
*** Bug 448506 has been marked as a duplicate of this bug. ***
Comment 9 Nikhil Prabhu 2022-02-19 18:47:36 UTC
Created attachment 146941 [details]
Same bug in Plasma 5.24.1

I'm still noticing the bug, even on Plasma 5.24.1
Comment 10 Nikhil Prabhu 2022-02-19 18:48:26 UTC
Comment on attachment 146941 [details]
Same bug in Plasma 5.24.1

I've even tried deleting my Plasma cache and restarting my PC. The bug doesn't seem to go away.
Comment 11 Patrick Silva 2022-07-07 14:58:18 UTC
Created attachment 150469 [details]
screenshot taken on Plasma 5.25.2

As we can see in the attached screenshot, this bug persists.

Operating System: Arch Linux
KDE Plasma Version: 5.25.2
KDE Frameworks Version: 5.95.0
Qt Version: 5.15.5
Graphics Platform: Wayland
Comment 12 Naxdy 2022-11-28 09:24:58 UTC
The problem seems to be that the geometry doesn't properly update when interacting with the "show more" button. Expanding notifications leaves a gap where the button used to be, and collapsing them causes the button to overlap with the entry below (as if it wasn't there).

This still happens on 5.26.3
Comment 13 Nate Graham 2022-12-01 21:13:42 UTC
*** Bug 462484 has been marked as a duplicate of this bug. ***